---
title: GET /harness/tools
description: List available tools
full: true
---

**Auth:** required. Send an `ivy_` API key (`Authorization: Bearer ivy_…` or `X-Ivy-Api-Key`), a Clerk session JWT (`Authorization: Bearer …`) or the Clerk `__session` cookie (browser sessions). See [Authentication](/docs/api/authentication).

Returns the full catalog of tools available in the Harness runtime, optionally filtered by tier or domain.

## Request

#### Query parameters

- `tier` (enum (&quot;t1&quot; | &quot;t2&quot; | &quot;t3&quot; | &quot;t4&quot; | &quot;t5&quot;)) —
Filter by tool tier

- `domain` (string) —
Filter by tool domain

## Responses

### `200` OK

Tool list

Response shape:

- `tools` (object[]) —

- `total` (integer) —

### `401` Unauthorized

Authentication required

Response shape: `object`

**curl**

```bash
curl -X GET 'https://ivybiosciences.com/api/harness/tools' \
  -H "Authorization: Bearer $IVY_API_KEY"
```

**JavaScript**

```js
const res = await fetch('https://ivybiosciences.com/api/harness/tools', {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${process.env.IVY_API_KEY}`,
  },
});
const data = await res.json();
```

**Python**

```python
import os, requests

res = requests.get(
    "https://ivybiosciences.com/api/harness/tools",
    headers={"Authorization": f"Bearer {os.environ['IVY_API_KEY']}"},
)
data = res.json()
```
